Package org.mozilla.javascript

## Class NotAFunctionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.mozilla.javascript.NotAFunctionException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class NotAFunctionException
      extends java.lang.RuntimeException

  Deprecated.
  The exception is no longer thrown by Rhino runtime as `EvaluatorException` is used instead.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotAFunctionException()` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotAFunctionException

          public NotAFunctionException()

      Deprecated.